Retrieves all db_address
Request Information
URI Parameters :
None.
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
db_address| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary key |
globally unique identifier | |
| company_id |
The company owner of this address |
globally unique identifier |
Optionally required : company_id, company_code or company must be provided |
| company_code |
Embedded entity "company" using ERP PK when adding/updating address |
string |
Optionally required : company_id, company_code or company must be provided |
| company |
Embedded entity "company" when adding/updating address |
company |
Optionally required : company_id, company_code or company must be provided |
| db_address_type_id |
Foreign key to the db_address_type. Please use controller DbAddressType to find the correct it to use |
globally unique identifier | |
| code |
Field used for Embedded entity (store there your ERP PK) |
string | |
| archived |
You cannot delete an address. The only way is to archive it. |
boolean | |
| name |
Name of the address |
string | |
| street |
Street |
string |
Max length: 100 |
| street_number |
Street number. Can be not used |
string |
Max length: 50 |
| zip |
Zip code |
string |
Max length: 50 |
| city |
City |
string |
Max length: 50 |
| phone |
Phone number |
string | |
| mobile |
Cell phone number |
string | |
| fax |
Fax number |
string | |
|
Email address |
string |
Max length: 250 |
|
| url |
Url |
string | |
| db_country_id |
Foreign key to table Country |
globally unique identifier | |
| db_country_code |
CountryCode entity using international code when adding/updating company |
string | |
| street2 |
Additional information on the address not part of the postal address |
string |
Max length: 50 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "2c290382-8651-42ff-8967-ed909842fa09",
"company_id": "2c4bc8ea-04db-4e4f-9754-0e54fd00bb8c",
"company_code": "sample string 3",
"db_address_type_id": "317d6996-163f-43c2-b763-26b0ea95ab53",
"code": "sample string 5",
"archived": true,
"name": "sample string 7",
"street": "sample string 8",
"street_number": "sample string 9",
"zip": "sample string 10",
"city": "sample string 11",
"phone": "sample string 12",
"mobile": "sample string 13",
"fax": "sample string 14",
"email": "sample string 15",
"url": "sample string 16",
"db_country_id": "cdbdb8d2-6692-4c1b-a215-23014569b6df",
"db_country_code": "sample string 18",
"street2": "sample string 19",
"modified_dateutc": "2026-04-09T15:23:39.3602613+00:00"
}